Agora Java API Reference for Android

Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.video.EncodedVideoFrameInfo Class Reference

## Public Member Functions
| EncodedVideoFrameInfo (int codecType, int width, int height, int framesPerSecond, int frameType, int rotation, int trackId, long captureTimeMs, long decodeTimeMs, int uid, int streamType)
int | getUid ()
int | getCodecType ()
int | getWidth ()
int | getHeight ()
int | getFramesPerSecond ()
int | getFrameType ()
int | getRotation ()
int | getTrackId ()
long | getCaptureTimeMs ()
long | getDecodeTimeMs ()
int | getStreamType ()
String | toString ()

## Public Attributes
int | uid
int | codecType
int | width
int | height
int | framesPerSecond
int | frameType
int | rotation
int | trackId
long | captureTimeMs
long | decodeTimeMs
int | streamType

## Detailed Description

The EncodedVideoFrameInfo class, which defines the format of the encoded video frame.

## Member Data Documentation

## ◆ uid

int io.agora.rtc2.video.EncodedVideoFrameInfo.uid

ID of the user who sends this video.

## ◆ codecType

int io.agora.rtc2.video.EncodedVideoFrameInfo.codecType

The codec type.

- 1: `VIDEO_CODEC_VP8`.
- 2: (Default) `VIDEO_CODEC_H264`.
- 13: `VIDEO_CODEC_VP9`.

## ◆ width

int io.agora.rtc2.video.EncodedVideoFrameInfo.width

The width of this frame.

## ◆ height

int io.agora.rtc2.video.EncodedVideoFrameInfo.height

The height of this frame.

## ◆ framesPerSecond

int io.agora.rtc2.video.EncodedVideoFrameInfo.framesPerSecond

The number of frames per second of this frame.

## ◆ frameType

int io.agora.rtc2.video.EncodedVideoFrameInfo.frameType

The frame type:

- 0: `VIDEO_FRAME_TYPE_BLANK_FRAME`.
- 3: `VIDEO_FRAME_TYPE_KEY_FRAME`.
- 4: `VIDEO_FRAME_TYPE_DELTA_FRAME`.
- 5: `VIDEO_FRAME_TYPE_B_FRAME`.
- 6: `VIDEO_FRAME_TYPE_UNKNOWN`.

## ◆ rotation

int io.agora.rtc2.video.EncodedVideoFrameInfo.rotation

The rotation information (clockwise) of this frame. Set it as 0, 90, 180 or 270.

## ◆ trackId

int io.agora.rtc2.video.EncodedVideoFrameInfo.trackId

The track ID. This member is used for scenarios with multiple video tracks.

## ◆ captureTimeMs

long io.agora.rtc2.video.EncodedVideoFrameInfo.captureTimeMs

This is a input parameter which means the timestamp for capturing the video.

## ◆ decodeTimeMs

long io.agora.rtc2.video.EncodedVideoFrameInfo.decodeTimeMs

This is a output parameter which means timestamp for decoding the video frame.

## ◆ streamType

int io.agora.rtc2.video.EncodedVideoFrameInfo.streamType

The stream type of video frame.